summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorChristophe Fergeau <teuf@gnome.org>2005-09-10 08:34:34 +0000
committerChristophe Fergeau <teuf@gnome.org>2005-09-10 08:34:34 +0000
commit27d9c7274b01f958315a9157a30f07359872d1aa (patch)
tree40a0bf871909c8a32c2fd12dd9e137dd960dc68b /autogen.sh
parent91bac8f5d1c96f509d2abc7329d99729dc845589 (diff)
downloadlibgpod-tmz-27d9c7274b01f958315a9157a30f07359872d1aa.tar.gz
libgpod-tmz-27d9c7274b01f958315a9157a30f07359872d1aa.tar.xz
libgpod-tmz-27d9c7274b01f958315a9157a30f07359872d1aa.zip
Initial import
git-svn-id: https://gtkpod.svn.sf.net/svnroot/gtkpod/libgpod/trunk@1080 f01d2545-417e-4e96-918e-98f8d0dbbcb6
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..b0daa2f
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="libgpod"
+
+(test -f $srcdir/configure.ac) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+
+REQUIRED_AUTOMAKE_VERSION=1.8 USE_GNOME2_MACROS=1 . gnome-autogen.sh